Subject: [spfbis] Issue: ABNF corrections

From: "Murray S. Kucherawy" <[email-masked]>
Date: Tue, 7 Feb 2012 23:38:57 -0800

RFC5234 (Section 2.3 in particular) says string literals in ABNFs are actually case-insensitive.  That means this:

   macro-letter     = "s" / "l" / "o" / "d" / "i" / "p" / "h" /
                      "c" / "r" / "t"

...actually permits all the uppercase versions too.  It doesn't seem as though that's what we want here given that I don't see in the examples and have never seen in the wild an uppercase macro.

I suspect we need to review all the ABNF, but this stood out in my review.